<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 30일 화요일 오후 13시 16분 / 흐림, 20.8, 쾌적, 23, 13, 19%, 20%, 3.0ms / 보통, 42, 18, 0.012

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 피리 카페 관리 > 회원 목록 보기 > 회원 다중 처리하기
=====================================================================

*/

  include_once('./_common.php');

  $count = (isset($_POST['chk_member_n']) && is_array($_POST['chk_member_n'])) ? count($_POST['chk_member_n']) : 0;

  IF ( !$count )
  {
    alert('정보를 수정할 회원을 1명 이상 선택하세요.');
  }

  include_once( "./_CAFE.MANAGE.INFO.CHECK.inc.php" );

  $member_choice_s = implode(',', $_POST['chk_member_n']);

  $sql_select  = "SELECT * FROM `". $piree['cafe_member'] ."` ";
  $sql_select .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."' AND `cfml_row_n` IN (". $member_choice_s .") ORDER BY `cfml_row_n`";
  $result = sql_query($sql_select);

  WHILE ( $row = sql_fetch_array($result) )
  {

    $loop_member_n = $row['cfml_row_n'];

    $loop_cafe_member_level_n = $_POST['cafe_member_level'][$loop_member_n];

    $sql_common_a = array();

    IF ( $loop_cafe_member_level_n != $row['cfml_cafe_mem_level_n'] )
    {

      IF ( $loop_cafe_member_level_n > 0 && $loop_cafe_member_level_n < 9 )
      {
        $sql_common_a[] = "`cfml_cafe_mem_level_n` = '". $loop_cafe_member_level_n ."'";
      }

    }

    IF ( count($sql_common_a) > 0 )
    {

      $sql_common_s = implode(', ', $sql_common_a);

      IF ( $sql_common_s )
      {

        $sql_update  = "UPDATE `". $piree['cafe_member'] ."` SET ";
        $sql_update .= $sql_common_s ." ";
        $sql_update .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."' AND `cfml_row_n` = '". $loop_member_n ."'";

        IF ( !sql_query($sql_update) )
        {
          alert("회원 [ ". $row['cfml_mem_nick'] ." ]님의 회원 정보를 새로고침 하지 못하였습니다. ");
        }

      }

    }

  }

  $go_url_s = PIREE_CAFE_MANAGE_URL .'/member.list.php?piree_cafe_n='. $piree_cafe_n .'&page='. $page;

  alert("선택하신 회원의 정보를 수정 하였습니다.", $go_url_s);
  EXIT;

  goto_url($go_url_s);
  EXIT;

?>